# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
from project.utils import pwd
from .. urls import add
import settings
from views import RemoteLink3MenuView, RemoteLink3UserPolicyView, RemoteLink3IOPortalView, RemoteLink3SettingView


if settings.IS_ENABLE:
    urlpatterns = patterns(
        '',
        url(r'^$', lambda r: HttpResponseRedirect('./menu')),
        url(r'^step1$', RemoteLink3UserPolicyView.as_view(), name='userpolicy'),
        url(r'^step2$', RemoteLink3IOPortalView.as_view(), name='ioportal'),
        url(r'^step3$', RemoteLink3SettingView.as_view(), name='setting'),
        url(r'^menu$', RemoteLink3MenuView.as_view()),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
