# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
from django.http import HttpResponseRedirect
#from project.utils import pwd
#from .. urls import add
import settings
import views


if settings.IS_ENABLE:
    urlpatterns = patterns(
        '',
        url(r'^$', lambda r: HttpResponseRedirect('./expiration')),
        url(r'^expiration$', views.RemoteLink3ExpirationView.as_view()),
        url(r'^detail/(?P<pincode>[a-zA-Z0-9\.]+)$', views.RemoteLink3TemporaryAccessEntryDetailView.as_view()),
    )
    #add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
